Updates for opsi 4.1 / 4.2 stable and testing

Antworten
Benutzeravatar
n.doerrer
uib-Team
Beiträge: 23
Registriert: 23 Okt 2020, 16:11

Updates for opsi 4.1 / 4.2 stable and testing

Beitrag von n.doerrer »

Dear opsi users,

today we have released more packages for opsi 4.1 and 4.2 in testing and stable.

================

Important topics in this release:

* opsi-local-image-restore / backup fix of the progress bar

* win10-sysprep-app-update-blocker 4.2.0.0-1 contains instructions on how to remove installed Apps

* opsi-client-agent 4.1.1.41-1 contains fixes in opsi-deploy-client-agent and opsiclientd

* The package opsi-script will replace opsi-winst as action processor in the future (opsi-[linux|mac]-client-agent 4.2.x). When using these new client-agents, the package opsi-script should be installed on the opsi depots. The current opsi-winst package contains the opsi-script-Package and installs it alongside.


=====================================
Updated Packages in Testing:
=====================================

Windows Localboot:

* win10-sysprep-app-update-blocker 4.2.0.0-1
* opsi-script-beautifier 4.2.0.2-1
* opsi-wim-capture 4.2.0.1-3
* opsi-winst 4.12.4.24-1
* opsi-configed 4.1.9.9.2-2
* opsi-script 4.12.4.24-1

Linux Localboot:

* opsi-script-beautifier 4.2.0.2-1
* opsi-configed 4.1.9.9.2-2
* opsi-script 4.12.4.24-1

opsi-local-image Localboot:

* opsi-local-image-wim-capture 4.2.0.1-2

macOS Localboot:

* opsi-configed 4.1.9.9.2-2
* opsi-script-beautifier 4.2.0.2-1
* opsi-script 4.12.4.24-1

Windows Netboot:

* none

Linux Netboot:

* none

opsi-local-image Netboot:

* opsi-local-image-restore 4.2.0.0-1
* opsi-local-image-backup 4.2.0.0-1

opsi Server:

* opsiconfd 4.2.0.186
* opsi-utils 4.2.0.112
* opsipxeconfd 4.2.0.19
* opsi-server 4.2.0.55

=====================================
Updated Packages in Stable:
=====================================

Windows Localboot:

* opsi-setup-detector 4.2.0.7-1
* opsi-client-agent_4.1.1.41-1
* networklocation 4.2.0.0-1
* opsi-auto-update 4.2.0.0-1
* opsi-script 4.12.4.21-1

Linux Localboot:

* opsi-auto-update 4.2.0.0-1
* opsi-setup-detector 4.2.0.7-1
* l-opsi-server-migrate 4.2.3-8
* l-system-update 4.1.0.0-5
* opsi-logviewer 3.1-9
* opsi-script 4.12.4.21-1

opsi-local-image Localboot:

* opsi-auto-update 4.2.0.0-1
* opsi-local-image-wimcapture 4.2.0.0-4


Windows Netboot:

* none

Linux Netboot:

* opensusel15-3 4.1.0.3-3

opsi-local-image Netboot:

* none

opsi Server:

* none

##########

Best Regards
Nils Dörrer


Here are the changelogs

Code: Alles auswählen

===========================================================================================

opsi-setup-detector (4.2.0.7) stable; urgency=low

   * more french translation
   * spanish translation
   * fixes ind displaying properties

-- Detlef Oertel <d.oertel@uib.de>  Tue,  06 July 2021 : 15:00:00 +0200

===========================================================================================

opsi-local-image-restore (4.2.0.0-1) stable; urgency=low

  * fix progressbar output

-- detlef oertel <d.oertel@uib.de>  Mon, 12 Jul 2021 15:00:00 +0200

opsi-local-image-restore (4.1.0.1-7) stable; urgency=low

  * updated ms-sys call

 -- Mathias Radtke <m.radtke@uib.de> Mon 28 Jun 2021 12:16:00 +0200

opsi-local-image-restore (4.1.0.1-6) stable; urgency=low

  * replaced deprecated disctionary function

 -- Mathias Radtke <m.radtke@uib.de> Thu 17 Jun 2021 11:09:00 +0200

===========================================================================================

opsi-local-image-backup (4.2.0.0-1) stable; urgency=low

  * fix progressbar output

-- detlef oertel <d.oertel@uib.de>  Mon, 12 Jul 2021 15:00:00 +0200

===========================================================================================

opsi-script (4.12.4.24) stable; urgency=low

 * new: xml2 sections: /encoding Parameter
 * new: xml2 sections: /AllNTUserProfiles Parameter
 * osfunc: file functions use findfirstUTF8 instead of findfirst
 * xml2 sections: many log warnings lowerd ti LLInfo
 * xml2 sections: new command: rootNodeOnCreate = <node>
 * xml2 sections: not existing files will be created
    using the value of rootNodeOnCreate, fallback to 'rootnode' if not existing
 * osparser: include (append / insert) statements fixes on read file with encoding
 * osparser: importlib statements fixes on read file with encoding
 * osparser: less encoding reload in LoadValidLinesFromFile
 * osencoding: more logging and retries at loadTextFileWithEncoding in order to fix
   'file in use' error.

-- d.oertel <d.oertel@uib.de> Mon, 05 Jul 2021 15:00

opsi-script (4.12.4.23) stable; urgency=low

 * osfuncwin2: fix for function resolveWinSymlink
 * new constant %opsiserviceClientId% (FQDN in service context, empty without)
 * parameter /clientid if present wil be ussed as preferred source for %hostid%
 * new parameter /depotpath (only together with /opsiservice) to pass the path to the depot
 * linux opsi-script library search path:
    %scriptpath%                     // standard by definition
    %ScriptPath%/../lib              // standard by definition
    './lib'                          // new standard directory in opsi-script directory
    '/usr/share/opsi-script/lib'     // backward compatibility directory
 * linux skin directory search path:
    '/usr/share/opsi-script/customskin'  // custom skin directory
    './skin'                          // new standard skin directory in opsi-script directory
    '/usr/share/opsi-script/skin'     // backward compatibility directory
 * linux locale directory search path:
    './locale'                        // new standard locale directory in opsi-script directory
    '/usr/share/locale/....'          // backward compatibility directory
 * removing links to http://www.opsi.org/credits/
 * osinteractivegui: set copyright tro 1995-2021
 * Fixes detection of w10 release > 2009 (21h1) (osparser) ; fixes #4665
 * New cli parameter /ServiceBatch  if /serviceBatch then also needed:
          /ClientId <> /opsiservice <> /username <> /password <> /productId <> and <script path>
 * New config opsi-script.global.supressSystemEncodingWarning
     if true then the following warning will be suppressed:
     'Encoding=system makes the opsiscript not portable between different OS'
 * osfuncwin2: replace of winst32.exe in funcwin2 by ExtractFileName(ParamStr(0)

-- d.oertel <d.oertel@uib.de> Tue, 08 June 2021 15:00

opsi-script (4.12.4.22) stable; urgency=low

 * new (common) unit osfilehelper
 * osfunc: function makbakfile with two parameters (name,maxbak number) is moved as makbakfiles
   to osfilehelper
 * oslog: function makbakfile with two parameters (name,maxbak number) is moved as makbakfiles
   to osfilehelper
 * osfunc files section copy: moving some log messages from Loglevel 6 to 7

-- d.oertel <d.oertel@uib.de> Fri, 04 June 2021 15:00

opsi-script (4.12.4.21) stable; urgency=low

 * osfunc: function isSymLink(const filepath : string) : boolean;
 * osfuncunix: function resolveUnixSymlink(const filepath : string; recursive : boolean = true) : string;
 * osparser: function resolveWinSymlink(const filepath : string; recursive : boolean = true) : string;
 * new function resolveSymlink(<string>) : string; on error it returns input
 * new constant %realScriptpath% ; if the script is called via symlink
      then it is the resolved version of %scriptpath%
 * new common unit osfuncunix
 * new function forcePathDelims(<path string>) : <path string>
      sets all slash and backslash as pathdelim according to the OS
 * new boolean fileIsSymlink(FilePath: string): boolean;

-- d.oertel <d.oertel@uib.de> Tue, 25 May 2021 15:00

opsi-winst (4.12.4.21-2) testing; urgency=medium

 * fixed preinst/postinst handling of custom skin files

-- Nils Doerrer <n.doerrer@uib.de> Tue, 21 Jun 2021 10:00:00 + 0100

===========================================================================================

opsi-script-test (4.12.4.21-1) stable; urgency=low

  * Testing resolveSymlink
  * Testing forcePathDelims(<path string>)
  * Testing isSymLink(const filepath : string) : boolean
  * fix test FileOrFolderExists and FileExists tests for linux

-- detlef oertel <d.oertel@uib.de>  Wed,  19 Mai 2021 15:00:00 +0200

===========================================================================================

opsi-script-beautifier (4.2.0.2-1) stable; urgency=medium

 * More Logs on Loglevel 7
 * Fix in determine indent in do not touch sections using countLeadingWhitespaces
   and replace the original ident by the new one

-- d.oertel <d.oertel@uib.de> Tue , 06 July 2021 15:00:00 + 0100

===========================================================================================

opsi-client-agent (4.1.1.41-1) stable; urgency=low

  * Update opsiclientd to 4.2.0.80

-- Jan Schneider <j.schneider@uib.de> Mon, 06 Jul 2021 16:30:00 +0100

opsi-client-agent (4.1.1.40-1) stable; urgency=low

  * Update opsiclientd to 4.2.0.78

-- Jan Schneider <j.schneider@uib.de> Mon, 28 Jun 2021 13:32:00 +0100

opsi-client-agent (4.1.1.39-1) stable; urgency=low

  * Update opsiclientd to 4.2.0.77

-- Jan Schneider <j.schneider@uib.de> Wed, 21 Jun 2021 08:45:00 +0100

opsi-client-agent (4.1.1.38-2) stable; urgency=low

  * Fixed cleanup of (very) old opsiclientd on reinstall

-- Nils Doerrer <n.doerrer@uib.de> Wed, 16 Jun 2021 17:07:00 +0100

opsi-client-agent (4.1.1.38-1) stable; urgency=low

  * Update opsiclientd to 4.2.0.76

-- Jan Schneider <j.schneider@uib.de> Wed, 16 Jun 2021 14:47:00 +0100

opsi-client-agent (4.1.1.37-3) stable; urgency=low

  * Updated opsi-deploy-client-agent to 4.2.0.10 (fixed deploy install call)

-- Nils Doerrer <n.doerrer@uib.de> Mon, 14 Jun 2021 14:16:00 +0100

opsi-client-agent (4.1.1.37-2) stable; urgency=low

  * Set /usr/bin/python in opsi-deploy-client-agent-41

-- Jan Schneider <j.schneider@uib.de> Tue, 09 Jun 2021 11:16:00 +0100

opsi-client-agent (4.1.1.37-1) stable; urgency=low

  * Update opsiclientd to 4.2.0.75
  * Add legacy opsi-deploy-client-agent-41 for old operating systems

-- Jan Schneider <j.schneider@uib.de> Tue, 08 Jun 2021 12:05:00 +0100

opsi-client-agent (4.1.1.36-2) stable; urgency=low

  * Updated opsi-deploy-client-agent to 4.2.0.9

-- Nils Doerrer <n.doerrer@uib.de> Wed, 02 Jun 2021 15:16:00 +0100

opsi-client-agent (4.1.1.36-1) stable; urgency=low

  * Update opsiclientd to 4.2.0.74

-- Jan Schneider <j.schneider@uib.de> Tue, 01 Jun 2021 07:16:00 +0100

opsi-client-agent (4.1.1.35-1) stable; urgency=low

  * Update opsiclientd to 4.2.0.73

-- Jan Schneider <j.schneider@uib.de> Mon, 31 May 2021 16:47:00 +0100

opsi-client-agent (4.1.1.34-1) stable; urgency=low

  * Update opsiclientd to 4.2.0.72
  * Update opsi-notifier to 4.2.0.1

-- Jan Schneider <j.schneider@uib.de> Mon, 31 May 2021 11:51:00 +0100

opsi-client-agent (4.1.1.33-1) stable; urgency=low

  * Updated opsi-client-systray to 4.1.2.4
  * Updated opsiclientd to 4.2.0.71

-- Nils Dörrer <n.doerrer@uib.de> Tue, 25 May 2021 14:00:00 +0100

===========================================================================================

networklocation (4.2.0.0-1) testing; urgency=low

  * adapt and cleanup

 -- detlef oertel <d.oertel@uib.de>  Tue, 1 Jul 2021 15:00:00 +0000

===========================================================================================

opsi-logviewer (3.1-9) STABLE; urgency=medium

  * integrate macOS support

-- detlef oertel <d.oertel@uib.de>  Wed, 23 Sep 2019 15:00:00 +0000

===========================================================================================

opsi-auto-update (4.2.0.0-1) stable; urgency=low

	* New boolean property failed_products_to_setup

-- Nils Doerrer <n.doerrer@uib.de>  Thu, 24 Jun 2021 14:00:00 +0200

===========================================================================================

opsi-wim-capture (4.2.0.1-3) stable; urgency=low

  * setup.opsiscript: fix PE detection for uefi

-- detlef oertel <d.oertel@uib.de>  Mon, 12 July 2021 15:00:00 +0000

opsi-wim-capture (4.2.0.1-2) stable; urgency=low

  * setup.opsiscript: fix copy common files in [Files_copy_opsi-script]

-- detlef oertel <d.oertel@uib.de>  Fri, 09 July 2021 15:00:00 +0000

opsi-wim-capture (4.2.0.1-1) stable; urgency=low

  * setup.opsiscript: For internationalization use powershell to detect pe partition

-- detlef oertel <d.oertel@uib.de>  Thu, 24 June 2021 15:00:00 +0000

opsi-wim-capture (4.2.0.0-4) stable; urgency=low

  * new property pe_partition_number default=auto ; to override standard numbers
  * new property system_partition_number default=auto ; to override standard numbers
  * setup.opsiscript: For internationalization use powershell to detect pe / system partition

-- detlef oertel <d.oertel@uib.de>  Tue, 29 June 2021 15:00:00 +0000

opsi-wim-capture (4.2.0.0-3) stable; urgency=low

  * fix mixed up capture.xml files

-- detlef oertel <d.oertel@uib.de>  Wed, 23 June 2021 15:00:00 +0000

opsi-wim-capture (4.2.0.0-2) stable; urgency=low

  * new property startsysprep default=true ; false for debug only

-- detlef oertel <d.oertel@uib.de>  Tue, 22 June 2021 15:00:00 +0000

===========================================================================================

l-system-update 4.1.0.0-5 stable urgency=low

  * new property : show_output
  * use showoutput for Ubuntu / Debian
  * more Messages  for Ubuntu / Debian
  * get package lock again before autoremove

 -- d.oertel <d.oertel@uib.de> Thu, 11 Feb 2021 15:00:00 + 0100

===========================================================================================

win10-sysprep-app-update-blocker (4.2.0.0-1) stable; urgency=medium

	* Added document WindowsAppsEntfernen.pdf that shows how to remove
	  installed Apps that block sysprep (Thanks to Dennis Schelling)

-- d.oertel <d.oertel@uib.de> Di, 12 Jul 2021 15:00:00 +0200

===========================================================================================

opsi-local-image-wim-capture (4.2.0.1-2) stable; urgency=low

  * setup.opsiscript: fix copy common files in [Files_copy_opsi-script]

-- detlef oertel <d.oertel@uib.de>  Fri, 09 July 2021 15:00:00 +0000

===========================================================================================

opensusel15-3 (4.1.0.3-3) testing; urgency=low

  * forked from opensusel15-2
  * updated unatended installation xmls

 -- Mathias Radtke <m.radtke@uib.de> Tue, Apr 6 08:03:00 +0200

===========================================================================================

opsi-configed (4.1.9.9.2-2) TESTING; urgency=medium
* bug eliminated in linux install script

-- r.roeder <r.roeder@uib.de> Wed, 14 Jul 2021 11:10:40 +0100

opsi-configed (4.1.9.9.2-1) TESTING; urgency=medium
* don't touch existing global WAN configs if client specific WAN configs are
set

-- r.roeder <r.roeder@uib.de> Mon, 12 Jul 2021 16:10:40 +0100

===========================================================================================

opsiconfd (4.2.0.186-1) stable; urgency=medium

  * Improvement:  update python-opsi

 -- uib GmbH <info@uib.de>  Tue, 20 Jul 2021 11:25:17 +0000

opsiconfd (4.2.0.185-1) stable; urgency=medium

  * Bugfix:  Fix pam authentication on debian 11

 -- uib GmbH <info@uib.de>  Fri, 16 Jul 2021 11:38:47 +0200

opsiconfd (4.2.0.184-1) stable; urgency=medium

  * Bugfix:  Fix logging issues in case of worker errors
  * Improvement:  Update python packages

 -- uib GmbH <info@uib.de>  Thu, 15 Jul 2021 15:39:08 +0200

opsiconfd (4.2.0.183-1) stable; urgency=medium

  * Improvement:  Update python-opsi

 -- uib GmbH <info@uib.de>  Tue, 06 Jul 2021 16:45:39 +0000

opsiconfd (4.2.0.181-1) stable; urgency=medium

  * Improvement:  Update python-opsi
  * Improvement:  Improve help text

 -- uib GmbH <info@uib.de>  Fri, 25 Jun 2021 13:20:38 +0200

opsiconfd (4.2.0.180-1) stable; urgency=medium

  * Improvement:  Update python packages
  * Feature:  Allow client certificate creation

 -- uib GmbH <info@uib.de>  Fri, 18 Jun 2021 15:39:43 +0200

===========================================================================================

opsi-server (4.2.0.55-1) stable; urgency=medium

  * Bugfix:  UCS postinst call_joinscript

 -- uib GmbH <info@uib.de>  Wed, 14 Jul 2021 15:36:14 +0200

===========================================================================================

opsi-utils (4.2.0.112-1) stable; urgency=medium

  * Bugfix:  Fix pam auth on debian 11

 -- uib GmbH <info@uib.de>  Fri, 16 Jul 2021 11:40:35 +0200

opsi-utils (4.2.0.111-1) stable; urgency=medium

  * Improvement:  Update python packages

 -- uib GmbH <info@uib.de>  Thu, 15 Jul 2021 15:48:15 +0200

opsi-utils (4.2.0.110-1) stable; urgency=medium

  * Improvement:  Update python-opsi
  * Feature:  opsipython: trying to start interactive shell if no script is given

 -- uib GmbH <info@uib.de>  Thu, 08 Jul 2021 16:38:26 +0200

opsi-utils (4.2.0.109-1) stable; urgency=medium

  * Improvement:  Update python-opsi

 -- uib GmbH <info@uib.de>  Tue, 06 Jul 2021 18:47:57 +0200

opsi-utils (4.2.0.108-1) stable; urgency=medium

  * Feature:  opsi-python: Add /usr/lib/python3/dist-packages to sys.path
  * Improvement:  Set permissions for opsiadmin group on log file
  * Improvement:  Improve handling data from stdin

 -- uib GmbH <info@uib.de>  Mon, 05 Jul 2021 14:52:38 +0200

opsi-utils (4.2.0.107-1) stable; urgency=medium

  * Improvement:  Update python-opsi
  * Improvement:  opsi-backup: only root can create backup

 -- uib GmbH <info@uib.de>  Fri, 25 Jun 2021 13:19:01 +0200

opsi-utils (4.2.0.106-1) stable; urgency=medium

  * No public changes

 -- uib GmbH <info@uib.de>  Wed, 23 Jun 2021 17:04:33 +0200

opsi-utils (4.2.0.105-1) stable; urgency=medium

  * Improvement:  Update python-opsi

 -- uib GmbH <info@uib.de>  Tue, 22 Jun 2021 11:50:03 +0200

===========================================================================================

opsipxeconfd (4.2.0.19-1) stable; urgency=medium

  * Improvement:  Update python packages

 -- uib GmbH <info@uib.de>  Fri, 16 Jul 2021 14:57:48 +0200
Antworten